Subject: Re: [GIT PULL] AlacrityVM guest drivers for 2.6.33

From: Bartlomiej Zolnierkiewicz <[email-masked]>
Date: Wed, 23 Dec 2009 15:08:25 +0100

On Wednesday 23 December 2009 02:31:11 pm Avi Kivity wrote:
> On 12/23/2009 03:07 PM, Bartlomiej Zolnierkiewicz wrote:
> >
> >> That is a very different situation from the AlacrityVM patches, which:
> >>
> >>   - Are a pure software concept and any compatibility mismatch is
> >>     self-inflicted. The patches are in fact breaking the ABI to KVM
> >>     intentionally (for better or worse).
> >>      
> > Care to explain the 'breakage' and why KVM is more special in this regard
> > than other parts of the kernel (where we don't keep any such requirements)?
> >    
> 
> The device model is exposed to the guest.  If you change it, the guest 
> breaks.

Huh?  Shouldn't non-vbus aware guests continue to work just fine?

> > I certainly missed the time when KVM became officially part of core ABI..
> >    
> 
> It's more akin to the hardware interface.  We don't change the hardware 
> underneath the guest.

As far as my limited understanding of things go vbus is completely opt-in
so it is like adding new real hardware to host.  Where is the problem?

--
Bartlomiej Zolnierkiewicz